org.apache.ignite.internal.processors.performancestatistics

## Interface PerformanceStatisticsHandler

    public interface PerformanceStatisticsHandler

The interface represents performance statistics operations collection for purposes of troubleshooting and performance analysis.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cacheOperation(UUID nodeId, OperationType type, int cacheId, long startTime, long duration)`
`void` `cacheStart(UUID nodeId, int cacheId, String name)`
`void` `job(UUID nodeId, IgniteUuid sesId, long queuedTime, long startTime, long duration, boolean timedOut)`
`void` `query(UUID nodeId, GridCacheQueryType type, String text, long id, long startTime, long duration, boolean success)`
`void` `queryReads(UUID nodeId, GridCacheQueryType type, UUID queryNodeId, long id, long logicalReads, long physicalReads)`
`void` `task(UUID nodeId, IgniteUuid sesId, String taskName, long startTime, long duration, int affPartId)`
`void` `transaction(UUID nodeId, GridIntList cacheIds, long startTime, long duration, boolean commited)`

### Method Detail

#### cacheStart

    void cacheStart(UUID nodeId,
                    int cacheId,
                    String name)

Parameters:
  `nodeId` - Node id.
  `cacheId` - Cache id.
  `name` - Cache name.

#### cacheOperation

    void cacheOperation(UUID nodeId,
                        OperationType type,
                        int cacheId,
                        long startTime,
                        long duration)

Parameters:
  `nodeId` - Node id.
  `type` - Operation type.
  `cacheId` - Cache id.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.

#### transaction

    void transaction(UUID nodeId,
                     GridIntList cacheIds,
                     long startTime,
                     long duration,
                     boolean commited)

Parameters:
  `nodeId` - Node id.
  `cacheIds` - Cache IDs.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.
  `commited` - `True` if commited.

#### query

    void query(UUID nodeId,
               GridCacheQueryType type,
               String text,
               long id,
               long startTime,
               long duration,
               boolean success)

Parameters:
  `nodeId` - Node id.
  `type` - Cache query type.
  `text` - Query text in case of SQL query. Cache name in case of SCAN query.
  `id` - Query id.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.
  `success` - Success flag.

#### queryReads

    void queryReads(UUID nodeId,
                    GridCacheQueryType type,
                    UUID queryNodeId,
                    long id,
                    long logicalReads,
                    long physicalReads)

Parameters:
  `nodeId` - Node id.
  `type` - Cache query type.
  `queryNodeId` - Originating node id.
  `id` - Query id.
  `logicalReads` - Number of logical reads.
  `physicalReads` - Number of physical reads.

#### task

    void task(UUID nodeId,
              IgniteUuid sesId,
              String taskName,
              long startTime,
              long duration,
              int affPartId)

Parameters:
  `nodeId` - Node id.
  `sesId` - Session id.
  `taskName` - Task name.
  `startTime` - Start time in milliseconds.
  `duration` - Duration.
  `affPartId` - Affinity partition id.

#### job

    void job(UUID nodeId,
             IgniteUuid sesId,
             long queuedTime,
             long startTime,
             long duration,
             boolean timedOut)

Parameters:
  `nodeId` - Node id.
  `sesId` - Session id.
  `queuedTime` - Time job spent on waiting queue.
  `startTime` - Start time in milliseconds.
  `duration` - Job execution time.
  `timedOut` - `True` if job is timed out.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021